@use 'variables' as variables;

@mixin spacing-top($value) {
    margin-top: $value;
}

@mixin footer-section {
    box-sizing: border-box;
    display: flex;
    align-items: center;
    height: 10%;
    border: 1px solid #C8CCD1;
    padding: 0 20px;
}

@mixin footer-content {
    margin-left: 5%;
    display: grid;
    grid-gap: 15rem;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
}


@mixin logo {
    padding: 11px 7px;
    gap: 10px;
    width: 50px;
    height: auto;
}

@mixin flex-parent($margin: var(--margin, variables.$default-margin)) {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: stretch;
    margin: $margin;
}

@mixin select-box {
    margin: auto;
    flex-direction: row;
    flex-wrap: nowrap;
}

@mixin cell-color($color: var(--color, black)) {
    font-weight: bold;
    color: $color;
}

@mixin custom-grid($rows: var(--rows, 1fr), $columns: var(--columns, 1fr), $grid-gap: var(--grid-gap, 1rem), $width: var(--width, 100%), $margin: var(--margin, 0 auto), $padding-top: var(--padding-top, 0)) {
    display: grid;
    grid-template-rows: $rows;
    grid-template-columns: $columns;
    grid-gap: $grid-gap;
    width: $width;
    margin: $margin;
    padding-top: $padding-top;

    &--footer {
        margin-left: variables.$default-footer-margin-left;
    }
}


@mixin card-grid($track: var(--card-grid-track, variables.$default-card-grid-track)) {
    display: grid;
    grid-template-columns: repeat($track, 10rem);
    grid-gap: 0.75rem;
}

@mixin card($background-color: var(--background-color, white), $color: var(--color, black), $padding: var(--padding, 1.5rem), $width: var(--width, variables.$default-card-width), $margin: var(--margin, 0 auto)) {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    transition: 0.3s;
    background-color: $background-color;
    color: $color;
    padding: $padding;
    width: variables.$default-card-width;
    margin: $margin;
}


@mixin dashboard-item($flex: var(--default-flex, 1 1 10%),
    $padding: var(--default-padding, 15px),
    $margin-top: var(--default-margin-top, null)) {
    flex: $flex;
    padding: $padding;
    box-sizing: border-box;

    @if $margin-top !=null {
        margin-top: $margin-top;
    }
}